#include "ObjyMemoryFile.h"
#include<string>
#include<iostream>
#include <fstream>

using namespace std;

void ObjyFile::read(const string & fname) {
    ifstream ifile(fname.c_str());
    if (!ifile) { cout << "file " << fname << " does not exist...\n";}
    else read(ifile);
    ifile.close();
}


void ObjyFile::write(const string & fname) const {
  ofstream ofile(fname.c_str());
  write(ofile);
  ofile.close();
}
 
unsigned int ObjyFile::computeFileSize(const string & fname) {
  unsigned int is=0;
  ifstream ifile(fname.c_str());
  if (!ifile) { cout << "file " << fname << " does not exist...\n";}
  else is = computeStreamSize(ifile);
  ifile.close();
  return is;
}

unsigned int ObjyFile::computeStreamSize(istream & is) {
  unsigned int rs=0;
  char c;
  while (is.get(c)) rs++;
  is.clear();
  is.seekg(0);
  return rs;
}
