#include "ObjyMemoryFile.h"
#include<string>
#include<iostream>
#include <fstream>

ObjyMemoryFile::ObjyMemoryFile(const string & fname,  unsigned int isize) {
  if (isize==0) isize= computeFileSize(fname);
  blob.reserve(isize);
  read(fname); 
}
ObjyMemoryFile::ObjyMemoryFile(istream& is,  unsigned int isize) {
  if (isize==0) isize= computeStreamSize(is);
  blob.reserve(isize);
  read(is); 
}

void ObjyMemoryFile::read(istream & is) {
  char c;
  while (is.get(c))
    blob.push_back( (unsigned char)c);
  blob.resize(blob.size());
}


void ObjyMemoryFile::write(ostream & os) const {
  os.write((char *)&*blob.begin(),blob.size());
}
 
