#include "StorageSvc/poolDb.h"
#include "Reflex/Builder/ReflexBuilder.h"
#include "pool/myobj.h"
using namespace seal::reflex;
POOLDB_BEGIN_STATIC_BLOCK(aPoint)

  // Dictionary declaration for reference base class
  seal::reflex::ClassBuilder<::aPoint >()
    .addFunctionMember<void(void)>("aPoint",  0, 0, 0, PUBLIC | CONSTRUCTOR )
    .addFunctionMember<void(void)>("~aPoint", 0, 0, 0, PUBLIC | DESTRUCTOR )
    .addDataMember<float>("m_x",   OffsetOf(aPoint,m_x))
    .addDataMember<float>("m_y",   OffsetOf(aPoint,m_y))
    .addDataMember<float>("m_x",   OffsetOf(aPoint,m_z));

  seal::reflex::ClassBuilder<myPoint >()
    .addBase<aPoint>()
    .addFunctionMember<void(void)>("myPoint",  0, 0, 0, PUBLIC | CONSTRUCTOR )
    .addFunctionMember<void(void)>("~myPoint", 0, 0, 0, PUBLIC | DESTRUCTOR )
    .addDataMember<int>("m_i",   OffsetOf(myPoint,m_i));
  
  seal::reflex::ClassBuilder<myobj >()
    .addFunctionMember<void(void)>("myobj",  0, 0, 0, PUBLIC | CONSTRUCTOR )
    .addFunctionMember<void(void)>("~myobj", 0, 0, 0, PUBLIC | DESTRUCTOR )
    .addDataMember<myPoint>("m_mypoint",   OffsetOf(myobj,m_mypoint))
    .addProperty("ClassID", "ACA9AF56-6ACC-499F-89F9-884E45E22A4E");

POOLDB_END_STATIC_BLOCK(aPoint)
