inline
pool::AttributeSpecification::AttributeSpecification():
  m_name( "" ),
  m_type_info( 0 )
{}

template <class T>
pool::AttributeSpecification::AttributeSpecification( std::string name ):
  m_name(name),
  m_type_info( &( typeid(T) ) )
{}

inline bool
pool::AttributeSpecification::operator == (const pool::AttributeSpecification& rhs ) const
{
  return ( this->type() == rhs.type() ) && ( m_name == rhs.m_name );
}

inline bool
pool::AttributeSpecification::operator != (const pool::AttributeSpecification& rhs ) const
{
  return !( (*this) == rhs );
}
   
inline const std::type_info&
pool::AttributeSpecification::type() const
{
  return *m_type_info;
}

inline std::string
pool::AttributeSpecification::name() const
{
  return m_name;
}
