# include "AttributeList/AttributeExceptions.h"
# include <iostream>


// throw and catch exceptions...

int exceptions()
{
  try
    {
      throw pool::attribute_bad_type("testing","int","float");
    }
  catch(pool::attribute_bad_type x)
    {
      std::cerr << "TESTING: Type mismatch" << std::endl << x.what() << std::endl;
    }

  try
    {
      throw pool::attribute_not_found("testing");
    }
  catch(pool::attribute_not_found x)
    {
      std::cerr << "TESTING: Not found " << std::endl << x.what() << std::endl;
    }

  try
    {
      throw pool::attribute_internal_error("just testing...");
    }
  catch(pool::attribute_internal_error x)
    {
      std::cerr << "TESTING: Error " << std::endl << x.what() << std::endl;
    }
  
  std::cerr << "All OK" << std::endl;
  return 0;
}

int main()
{
  return exceptions();
}
