#ifndef POOL_PERSISTENCYSVC_DUMMYTOKENVALIDATOR
#define POOL_PERSISTENCYSVC_DUMMYTOKENVALIDATOR

#include "PersistencySvc/ITokenValidator.h"
#include "POOLCore/Token.h"

namespace pool  {
  namespace PersistencySvc {

    /** class DummyTokenValidator
     *  A simple implementation of the ITokenValidator
     */
    class DummyTokenValidator : public ITokenValidator {
    public:
      /// Standard Constructor
      DummyTokenValidator();
      /// Destructor
      ~DummyTokenValidator() {};
      /// From the default token return a valid token.
      Token* validate( const Token& token ){
	Token* valid_token = const_cast< Token* >( &token );
	valid_token->addRef();
	return valid_token;
      }
    };
  }
}
#endif
