#ifndef RELATIONALSTORAGESERVICEEXCEPTION_H
#define RELATIONALSTORAGESERVICEEXCEPTION_H

#include "POOLCore/Exception.h"

namespace pool {

  namespace RelationalStorageService {

    /**
     * @class RelationalStorageServiceException RelationalStorageServiceException.h
     *
     * Exception class for the RelationalStorageService package
     */
    class RelationalStorageServiceException : public pool::Exception {
    public:
      /// Constructor
      RelationalStorageServiceException( const std::string& message,
                                         const std::string& methodName ):
        pool::Exception( message, methodName, "RelationalStorageService" )
      {}
      
      /// Destructor
      virtual ~RelationalStorageServiceException() throw() {}
    };

  }

}

#endif
