#include "StorageSvc/IOODatabaseFactory.h"
#include "RelationalOODbImplementation.h"

struct POOL_RDBMS : public pool::RelationalStorageService::RelationalOODbImplementation {
    POOL_RDBMS( void* context ) : RelationalOODbImplementation( context ){}
};

struct POOL_RDBMS_HOMOGENEOUS: public pool::RelationalStorageService::RelationalOODbImplementation {
    POOL_RDBMS_HOMOGENEOUS( void* context ): RelationalOODbImplementation( context, pool::POOL_RDBMS_HOMOGENEOUS_StorageType ){}
};

struct POOL_RDBMS_POLYMORPHIC: public pool::RelationalStorageService::RelationalOODbImplementation {
    POOL_RDBMS_POLYMORPHIC( void* context ): RelationalOODbImplementation( context, pool::POOL_RDBMS_POLYMORPHIC_StorageType ){}
};

DECLARE_OODATABASE ( POOL_RDBMS )
DECLARE_OODATABASE ( POOL_RDBMS_HOMOGENEOUS )
DECLARE_OODATABASE ( POOL_RDBMS_POLYMORPHIC )

