import os, sys, string

batch = 0
commands_only = 0

def nextTest(msg):
  print msg
  val = ''
  try:
    if ( batch ):
      return 1
    val=str(input('Continue [Y=CR/N]'))
  except NameError, X:
    val = 'N'
  except SyntaxError, X:
    return 1
  except Exception, X:
    print X.__class__, str(X)
    val = 'N'
  if len(val) > 0:
    sys.exit(0)
    return 0
  return 1

def execute(cmd):
  print '-->',cmd
  if ( not commands_only ):
    os.system(cmd)

if os.name=='nt':
  exe = '..\win32_vc71_dbg\main.exe '
  dlls = '/ld=lcg_test /l=classesDict /l=STLRflx'
else:
  exe = 'main '
  dlls = '/ld=lcg_test /l=classesDict /l=STLRflx'
  
def writeObjects():
  nextTest('\n\n===>  DATATYPES: Writing Keyed objects\n\n')
  execute(exe + ' DataTypes /ld=lcg_Suite1 ' + dlls + ' /f1=test_k_1.root /f2=test_k_2.root /w /k')

  nextTest('\n\n===>  DATATYPES: Writing Tree objects\n\n')
  execute(exe + ' DataTypes /ld=lcg_Suite1 ' + dlls + ' /f1=test_t_1.root /f2=test_t_2.root /w /t')


def readObjects():
  nextTest('\n\n===>  DATATYPES: Reading Keyed objects\n\n')
  execute(exe + ' DataTypes /ld=lcg_Suite1 ' + dlls + ' /f1=test_k_1.root /f2=test_k_2.root /r /k')

  nextTest('\n\n===>  DATATYPES: Reading Tree objects\n\n')
  execute(exe + ' DataTypes /ld=lcg_Suite1 ' + dlls + ' /f1=test_t_1.root /f2=test_t_2.root /r /t')
  
def simpleObjects():
  nextTest('\n\n===>  SIMPLEOBJECTS: Writing Keyed objects\n\n')
  execute(exe + ' Abstract /ld=lcg_Suite1 ' + dlls + ' /f1=test_t_Simple.root /w /t')

  nextTest('\n\n===>  SIMPLEOBJECTS: Reading Keyed objects\n\n')
  execute(exe + ' Abstract /ld=lcg_Suite1 ' + dlls + ' /f1=test_t_Simple.root /r /t')

def copyFrom_1_6_1():
  execute('copy /Y J:\\LCG\\POOL\\POOL_1_6_1\\src\\Persistency_1\\cmt\\test_k_1.root .')
  execute('copy /Y J:\\LCG\\POOL\\POOL_1_6_1\\src\\Persistency_1\\cmt\\test_k_2.root .')
  execute('copy /Y J:\\LCG\\POOL\\POOL_1_6_1\\src\\Persistency_1\\cmt\\test_t_1.root .')
  execute('copy /Y J:\\LCG\\POOL\\POOL_1_6_1\\src\\Persistency_1\\cmt\\test_t_2.root .')

def dbOptions():
  nextTest('\n\n===>  DBOPTIONS: Reading Tree objects\n\n')
  execute(exe + ' DbOptions /ld=lcg_Suite1 ' + dlls + ' /f1=test_t_1.root /f2=test_t_2.root /r /t')

def booleans():
  nextTest('\n\n===>  BOOLEANS: Writing Keyed objects\n\n')
  execute(exe + ' Booleans /ld=lcg_Suite1 ' + dlls + ' /f1=test_bool_k_1.root /f2=test_bool_k_2.root /w /k')
  nextTest('\n\n===>  BOOLEANS: Reading Keyed objects\n\n')
  execute(exe + ' Booleans /ld=lcg_Suite1 ' + dlls + ' /f1=test_bool_k_1.root /f2=test_bool_k_2.root /r /k')

  nextTest('\n\n===>  BOOLEANS: Writing Tree objects\n\n')
  execute(exe + ' Booleans /ld=lcg_Suite1 ' + dlls + ' /f1=test_bool_t_1.root /f2=test_bool_t_2.root /w /t')
  nextTest('\n\n===>  BOOLEANS: Reading Tree objects\n\n')
  execute(exe + ' Booleans /ld=lcg_Suite1 ' + dlls + ' /f1=test_bool_t_1.root /f2=test_bool_t_2.root /r /t')

def rawIO():
  nextTest('\n\n===>  RAWIO: Writing Keyed objects\n\n')
  execute(exe + ' RawIO /ld=lcg_Suite1 ' + dlls + ' /f1=test_raw_k_1.root /f2=test_raw_k_2.root /w /k')
  nextTest('\n\n===>  RAWIO: Reading Keyed objects\n\n')
  execute(exe + ' RawIO /ld=lcg_Suite1 ' + dlls + ' /f1=test_raw_k_1.root /f2=test_raw_k_2.root /r /k')

  nextTest('\n\n===>  RAWIO: Writing Tree objects\n\n')
  execute(exe + ' RawIO /ld=lcg_Suite1 ' + dlls + ' /f1=test_raw_t_1.root /f2=test_raw_t_2.root /w /t')
  nextTest('\n\n===>  RAWIO: Reading Tree objects\n\n')
  execute(exe + ' RawIO /ld=lcg_Suite1 ' + dlls + ' /f1=test_raw_t_1.root /f2=test_raw_t_2.root /r /t')

def objectIterator():
  nextTest('\n\n===>  OBJECTITERATOR: Writing Tree objects\n\n')
  execute(exe + ' ObjectIterator /ld=lcg_Suite1 ' + dlls + ' /f1=test_iter_t_1.root /f2=test_t_2.root /w /t')
  nextTest('\n\n===>  OBJECTITERATOR: Reading Tree objects\n\n')
  execute(exe + ' ObjectIterator /ld=lcg_Suite1 ' + dlls + ' /f1=test_iter_t_1.root /f2=test_t_2.root /r /t')

def noVirtual(key, tree, write, read):
  if ( tree ):
    if ( write ):
      nextTest('\n\n===>  NOVIRTUAL: Writing Tree objects\n\n')
      execute(exe + ' NoVirtual /ld=lcg_Suite2 ' + dlls + ' /n=1000 /f1=test_novirtual_t_1.root /f2=test_novirtual_t_2.root /w /t')
    if ( read ):
      nextTest('\n\n===>  NOVIRTUAL: Reading Tree objects\n\n')
      execute(exe + ' NoVirtual /ld=lcg_Suite2 ' + dlls + ' /n=1000 /f1=test_novirtual_t_1.root /f2=test_novirtual_t_2.root /r /t')
  if ( key ):
    if ( write ):
      nextTest('\n\n===>  NOVIRTUAL: Writing Key objects\n\n')
      execute(exe + ' NoVirtual /ld=lcg_Suite2 ' + dlls + ' /n=1000 /f1=test_novirtual_k_1.root /f2=test_novirtual_k_2.root /w /k')
    if ( read ):
      nextTest('\n\n===>  NOVIRTUAL: Reading Key objects\n\n')
      execute(exe + ' NoVirtual /ld=lcg_Suite2 ' + dlls + ' /n=1000 /f1=test_novirtual_k_1.root /f2=test_novirtual_k_2.root /r /k')

def topVector(key, tree, write, read):
  if ( tree ):
    if ( write ):
      nextTest('\n\n===>  TOPVECTOR: Writing Tree objects\n\n')
      execute(exe + ' Vectors /ld=lcg_Suite1 ' + dlls + ' /f1=test_topvector_t_1.root /f2=test_topvector_t_2.root /w /t')
    if ( read ):
      nextTest('\n\n===>  TOPVECTOR: Reading Tree objects\n\n')
      execute(exe + ' Vectors /ld=lcg_Suite1 ' + dlls + ' /f1=test_topvector_t_1.root /f2=test_topvector_t_2.root /r /t')
  if ( key ):
    if ( write ):
      nextTest('\n\n===>  TOPVECTOR: Writing Key objects\n\n')
      execute(exe + ' Vectors /ld=lcg_Suite1 ' + dlls + ' /f1=test_topvector_k_1.root /f2=test_topvector_k_2.root /w /k')
    if ( read ):
      nextTest('\n\n===>  TOPVECTOR: Reading Key objects\n\n')
      execute(exe + ' Vectors /ld=lcg_Suite1 ' + dlls + ' /f1=test_topvector_k_1.root /f2=test_topvector_k_2.root /r /k')

def testOld():
  copyFrom_1_6_1()
  readObjects()

def testSuite1():
  writeObjects()
  readObjects()
  dbOptions()
  booleans()
  rawIO()
  objectIterator()
  
def testSuite2():
  noVirtual(key=1, tree=1, write=1, read=1)
  topVector(key=0, tree=1, write=1, read=1)
  
def testAll():
  testSuite1()
  testSuite2()

def testSimple():
  simpleObjects()
  
def usage():
  print 'python DataTypes.py -option [-option]'
  print '       -?,-h     Show this help'
  print '       -b        Run in batch mode'
  print '       -c        Checking data regression'
  print '       -v        Verifying output'
  print '       -r        Create reference output'
  print '       -n        Show commands only'
  print '       -t=<test> Execute specific test.'
  

if __name__=='__main__':
  check_old = 0
  exec_test = 0;
  #print sys.argv
  for i in sys.argv[1:]:
    #print i
    opt =  string.upper(i)[1:2];
    #print opt
    if opt == '?' or opt == 'H':
      usage()
      sys.exit(0)
    if opt == 'B':
      print '====================  Executing in batch mode  ==================== '
      batch = 1      
    elif opt == 'T':
      eval(i[3:])
      sys.exit(0)
    elif opt == 'N':
      print '====================  Commands ONLY mode       ==================== '
      commands_only = 1      
    elif opt == 'C':
      print '====================  Checking data regression ==================== '
      check_old = 1
    elif opt == 'V':
      print '====================  Verifying data regression =================== '
      try:
        os.unlink('Output.ref')
      except:
        pass
      os.system('python DataTypes.py -b > Output.ref')
      os.system('cvs diff Output.ref')
      sys.exit(0)
    elif opt == 'R':
      print '====================  Create reference output  ==================== '
      try:
        os.unlink('Output.ref')
      except:
        pass
      os.system('python DataTypes.py -b > Output.ref')
      sys.exit(0)
      
  if ( check_old ):
    testOld()
  #testAll()
  testSimple()
  
