#ifndef POOL_HASH_DEF_H
#define POOL_HASH_DEF_H 

//#ifdef WIN32
//#include "POOLCore/win32/stl_hash.h"
//#endif

//#ifdef __linux
using __gnu_cxx::hash;
#define EXT_NAMESPACE __gnu_cxx
//#endif
  
namespace pool  {

  /** @struct KEquals Hmap_k_table.h
      Function to provide equality algorithm for the comparision of K types,
      to be used in hash_map, has_set implementation

      @author Giacomo Govi
      @date 25/07/2002
     **/
  template <class K> struct KEquals {
 
    bool operator()(const K& k1,const K& k2) const {
      return k1==k2;
    }
  };

}

#endif  // POOL_HASH_DEF_H

