#ifndef RELATIONALSTORAGESERVICE_DBIOHANDLER_H
#define RELATIONALSTORAGESERVICE_DBIOHANDLER_H

namespace pool {

  class Context;
  class DbDatabase;

  namespace RelationalStorageService {

    class DbIOHandler {
    public:
      /// Constructor
      explicit DbIOHandler( pool::DbDatabase* databaseHandle );

      /// Destructor
      virtual ~DbIOHandler(){}

      protected:

      /// The parent database handle
      pool::DbDatabase* m_databaseContext;

      /// The pool application context
      pool::Context* m_context;
    };

  }

}

#endif
