#include "RelationalPoolHomogeneousContainer.h"
#include "PoolDatabaseManager.h"

pool::RelationalStorageService::RelationalPoolHomogeneousContainer::RelationalPoolHomogeneousContainer( pool::IOODatabase* idb ):
  pool::RelationalStorageService::RelationalPoolContainer( idb )
{}


pool::RelationalStorageService::RelationalPoolHomogeneousContainer::~RelationalPoolHomogeneousContainer()
{}


pool::RelationalStorageService::PoolBaseContainerManager*
pool::RelationalStorageService::RelationalPoolHomogeneousContainer::createContainerManager( pool::RelationalStorageService::PoolDatabaseManager& databaseManager,
                                                                                            const std::string& containerName,
                                                                                            const pool::DbTypeInfo* info )
{
  return &( databaseManager.createHomogeneousContainer( containerName, *info ) );
}
