// $Id: DbObjectBuffer.h,v 1.7 2007/11/20 16:43:06 frankb Exp $
//====================================================================
//
//  Package    : StorageSvc (The pool framework)
//
//  Description: Management of the object Databases
//
//  @author      M.Frank
//====================================================================
#ifndef POOL_DBOBJECTBUFFER_H
#define POOL_DBOBJECTBUFFER_H 1

/*
 *  POOL namespace
 */
namespace pool    {

  // Declaration of arbitrary object buffer class
  template <class T, int i> class DbObjectBuffer {
  public:
    /// Object buffer
    T buffer[i];
    /// Standard Constructor
    DbObjectBuffer()             { }
    /// Standard destructor
    virtual ~DbObjectBuffer()    { }
  };
}
#endif // POOL_DBOBJECTBUFFER_H
